
## Setup Repository

Rufe den folgenden Befehl auf, damit die Versionsnummer bei jedem Commit automatisch hochgezählt wird:

> git config --local core.hooksPath .githooks/

## Veröffentlichung durchführen

* Prüfen ob der letzte Stand ohne Änderungen lokal vorhanden ist
> git pull
> git status

* Letzten Tag ermittlen
> git tag

* Neuen Tag erstellen und im Repository veröffentlichen
> git tag release/1.0.27 -m "Message with last changes"

* Durch den Commit wird automatisch eine vierte Nummer angehängt, die die Commits seit dem letzten Tag zählt.
  Wenn der Tag unmittelbar zuvor gesetzt wurde, dann ist diese Nummer 0.
> git commit --allow-empty -am "Release 1.0.27"

* Veränderte Versionsnummern im Gerrit veröffentlichen
> git push origin HEAD:refs/for/master

* Warten bis der Commit reviewed wurde

* Angeschlossenen Jenkins anstoßen, um die Version automatisch zu veröffentlichen
> git push origin HEAD:refs/tags/release/1.0.27
