from fischertechnik.factories import controller_factory, input_factory, i2c_factory
import os
from time import sleep

controller = controller_factory.create_graphical_controller()
combined_sensor = i2c_factory.create_combined_sensor(controller, 0)

filehandle = open('data.csv', 'w')
filehandle.truncate(0)
filehandle.close

i = 0
while i < 500:
    x_acceleration = combined_sensor.get_acceleration_x()
    y_acceleration = combined_sensor.get_acceleration_y()
    z_acceleration = combined_sensor.get_acceleration_z()

    x_rotation = combined_sensor.get_rotation_x()
    y_rotation = combined_sensor.get_rotation_y()
    z_rotation = combined_sensor.get_rotation_z()

    magnetic_field_x = combined_sensor.get_magnetic_field_x()
    magnetic_field_y = combined_sensor.get_magnetic_field_y()
    magnetic_field_z = combined_sensor.get_magnetic_field_z()

    print('X acceleration:', x_acceleration)
    print('Y acceleration:', y_acceleration)
    print('Z acceleration:', z_acceleration)
    print()
    print('X rotation:', x_rotation)
    print('Y rotation:', y_rotation)
    print('Z rotation:', z_rotation)
    print()
    print('Magnetic field in X direction:', magnetic_field_x)
    print('Magnetic field in Y direction:', magnetic_field_y)
    print('Magnetic field in Z direction:', magnetic_field_z)

    with open('data.csv', 'a') as filehandle:
        filehandle.write('{},{},{},{},{},{},{},{},{}\n'.format(x_acceleration, y_acceleration, z_acceleration, x_rotation, y_rotation, z_rotation, magnetic_field_x, magnetic_field_y, magnetic_field_z))

    sleep(1)
    os.system('clear')
    i += 1
