import time
import fischertechnik.factories as f

c = f.controller_factory.create_graphical_controller()
b1 = f.motor_factory.create_encodermotor(c,1)
b2 = f.motor_factory.create_encodermotor(c,2)

b1.stop()
b2.stop()

b1.set_speed(100)
b2.set_speed(100)

b1.set_distance(100, b2)
while b1.is_running():
  print("Speed", b1.get_speed())
  print("Distance", b1.get_distance())
  time.sleep(0.1)

b1.set_speed(-100)
b2.set_speed(-100)

b1.set_distance(100, b2)
while b1.is_running():
  print("Speed", b1.get_speed())
  print("Distance", b1.get_distance())
  time.sleep(0.1)
