import fischertechnik.factories as f
import time

c = f.controller_factory.create_graphical_controller()
b = f.motor_factory.create_encodermotor(c,1)

b.stop()
print("Stop speed", b.get_speed())

# Use one direction
b.set_speed(100)
b.set_distance(100)
b.start_sync()

while b.is_running():
  print("Speed", b.get_speed())
  print("Distance", b.get_distance())
  time.sleep(0.1)

print("Distance", b.get_distance())

b.stop()
b.set_speed(-100)
b.set_distance(100)
b.start_sync()

while b.is_running():
  print("Speed", b.get_speed())
  print("Distance", b.get_distance())
  time.sleep(0.1)

print("Distance", b.get_distance())

