import fischertechnik.factories as txtFactory
import time


class MiniSwitchTest:
    description = "Tests, if a push button pressed by a motor is working as intended."
    brief = "Checks, if a push button works."

    def __init__(self, txt):
        txtFactory.init_input_factory()
        self.mini_switch = txtFactory.input_factory.create_mini_switch(txt, 1)

    def does_pass(self):
        return self.mini_switch.is_open())
