import fischertechnik.factories as txtFactory
import time


class SimpleLampTest:
    description = "Tests, if the LED is working."
    brief = "Checks LED."

    def __init__(self, txt):
        txtFactory.init_output_factory()
        self.lamp = txtFactory.output_factory.create_led(txt, 3)

    def does_pass(self):
        # Actual code
        self.lamp.set_brightness(255)
        time.sleep(1)
        self.lamp.set_brightness(0)
        return True

