import time
import unittest

import fischertechnik.factories as txt_factory
from ControllerInstance import ControllerInstance


class UltrasonicDistanceMeterTest(unittest.TestCase):

    def setUp(self):
        self.controller = ControllerInstance.get_instance().get_controller()
        self.distance_meter = txt_factory.input_factory.create_ultrasonic_distance_meter(self.controller, 7)
        time.sleep(1)

    def test_get_distance(self):
        self.assertTrue(self.distance_meter.get_distance() > 0)


if __name__ == '__main__':
    unittest.main()
